Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get purchase order by ID with line items.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/purchase-orders/{po_id}
import requestsurl = "https://vinmake-erp.onrender.com/purchase-orders/{po_id}"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://vinmake-erp.onrender.com/purchase-orders/{po_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://vinmake-erp.onrender.com/purchase-orders/{po_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://vinmake-erp.onrender.com/purchase-orders/{po_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://vinmake-erp.onrender.com/purchase-orders/{po_id}") .asString();
require 'uri'require 'net/http'url = URI("https://vinmake-erp.onrender.com/purchase-orders/{po_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "id": "<string>", "poType": "<string>", "documentId": "<string>", "orderType": "<string>", "workOrderId": "<string>", "workOrderDocumentId": "<string>", "supplierId": "<string>", "supplierVendor": "<string>", "supplierRefPo": "<string>", "materialRequestId": "<string>", "mrIds": "<string>", "mrDocumentId": "<string>", "productionOrderId": "<string>", "salesOrderId": "<string>", "orderDate": "<string>", "expectedDeliveryDate": "<string>", "currency": "<string>", "subtotal": 123, "taxRate": 123, "taxAmount": 123, "total": 123, "purpose": "<string>", "expenseCategory": "<string>", "category": "<string>", "frequency": "<string>", "managementAccountId": "<string>", "status": "<string>", "notes": "<string>", "createdAt": "<string>", "itemsCount": 123, "dueDate": "<string>", "lineItems": [ { "id": "<string>", "purchaseOrderId": "<string>", "itemNumber": 123, "materialId": "<string>", "materialSkuId": "<string>", "supplierId": "<string>", "supplierName": "<string>", "description": "<string>", "category": "<string>", "color": "<string>", "size": "<string>", "uom": "<string>", "qty": 123, "unitPrice": 123, "amount": 123, "linkedMrLineId": "<string>", "status": "<string>" } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response
Show child attributes